- Qt 5.5
- Qt3D Module
- C++ Classes
- KeyboardEventFilter
- Qt 5.5.1 Reference Documentation

# KeyboardEventFilter Class

(Qt3D::Input::KeyboardEventFilter)

Inherits: |

- List of all members, including inherited members

## Public Functions

| KeyboardEventFilter(QObject * parent = 0)
InputHandler * | inputHandler() const
void | setInputHandler(InputHandler * handler)

## Protected Functions

bool | eventFilter(QObject * obj, QEvent * e)

## Member Function Documentation

### KeyboardEventFilter::KeyboardEventFilter(QObject * parent = 0)

### `[protected]` bool KeyboardEventFilter::eventFilter(QObject * obj, QEvent * e)

### InputHandler * KeyboardEventFilter::inputHandler() const

See also setInputHandler().

### void KeyboardEventFilter::setInputHandler(InputHandler * handler)

See also inputHandler().